> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/handling.md).

# Handling

Handling

## List handlings

> List all order handlings

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"HandlingResponseSchema":{"properties":{"active":{"type":"boolean"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"handlingUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"name":{"maxLength":20,"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/HandlingTriggerSchema"},"type":"array"}},"required":["handlingUid","active","description","name","triggers","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"HandlingResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"HandlingTriggerSchema":{"properties":{"active":{"type":"boolean"},"trigger":{"$ref":"#/components/schemas/HandlingTriggerENUM"}},"required":["trigger","active"],"title":"HandlingTriggerSchema","type":"object"},"HandlingTriggerENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| PUSHMESSAGE_ON_CREATE| Executed when order is assigned to a handling|\n| CUSTOMERMESSAGE_IN_PROGRESS| Executed when handling is set to IN_PROGRESS|\n| CUSTOMERMESSAGE_COMPLETE| Executed when handling is set to COMPLETE|","enum":["PUSHMESSAGE_ON_CREATE","CUSTOMERMESSAGE_IN_PROGRESS","CUSTOMERMESSAGE_COMPLETE"],"title":"HandlingTriggerENUM","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"HandlingListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/HandlingResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/handlings":{"get":{"description":"List all order handlings","operationId":"get-tenants-handlings","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/HandlingListResponse"}},"summary":"List handlings","tags":["Handling"]}}}}
```

## Create a new handling

> Create a new order handling.\
> \
> Required permission: TENANT.ACCESS

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"HandlingCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingCreateRequestSchema"}}},"description":"Request for creating  an orderhandling"}},"schemas":{"HandlingCreateRequestSchema":{"allOf":[{"properties":{"handlingUid":{"$ref":"#/components/schemas/UID"}},"type":"object"},{"$ref":"#/components/schemas/HandlingUpdateRequestSchema"}],"title":"HandlingCreateRequestSchema"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"HandlingUpdateRequestSchema":{"description":"Request for creating or updating an orderhandling","title":"HandlingUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"description":{"type":"string"},"name":{"maxLength":20,"type":"string"},"triggers":{"type":"array","items":{"$ref":"#/components/schemas/HandlingTriggerSchema"}}},"required":["active","description","name","triggers"]},"HandlingTriggerSchema":{"properties":{"active":{"type":"boolean"},"trigger":{"$ref":"#/components/schemas/HandlingTriggerENUM"}},"required":["trigger","active"],"title":"HandlingTriggerSchema","type":"object"},"HandlingTriggerENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| PUSHMESSAGE_ON_CREATE| Executed when order is assigned to a handling|\n| CUSTOMERMESSAGE_IN_PROGRESS| Executed when handling is set to IN_PROGRESS|\n| CUSTOMERMESSAGE_COMPLETE| Executed when handling is set to COMPLETE|","enum":["PUSHMESSAGE_ON_CREATE","CUSTOMERMESSAGE_IN_PROGRESS","CUSTOMERMESSAGE_COMPLETE"],"title":"HandlingTriggerENUM","type":"string"},"HandlingResponseSchema":{"properties":{"active":{"type":"boolean"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"handlingUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"name":{"maxLength":20,"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/HandlingTriggerSchema"},"type":"array"}},"required":["handlingUid","active","description","name","triggers","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"HandlingResponseSchema","type":"object"}},"responses":{"HandlingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/handlings":{"post":{"description":"Create a new order handling.\n\nRequired permission: TENANT.ACCESS","operationId":"post-tenants-handlings","requestBody":{"$ref":"#/components/requestBodies/HandlingCreateRequest"},"responses":{"201":{"$ref":"#/components/responses/HandlingResponse"}},"summary":"Create a new handling","tags":["Handling"]}}}}
```

## Get handling details

> Get handling details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"HandlingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingResponseSchema"}}},"description":"Example response"}},"schemas":{"HandlingResponseSchema":{"properties":{"active":{"type":"boolean"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"handlingUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"name":{"maxLength":20,"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/HandlingTriggerSchema"},"type":"array"}},"required":["handlingUid","active","description","name","triggers","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"HandlingResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"HandlingTriggerSchema":{"properties":{"active":{"type":"boolean"},"trigger":{"$ref":"#/components/schemas/HandlingTriggerENUM"}},"required":["trigger","active"],"title":"HandlingTriggerSchema","type":"object"},"HandlingTriggerENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| PUSHMESSAGE_ON_CREATE| Executed when order is assigned to a handling|\n| CUSTOMERMESSAGE_IN_PROGRESS| Executed when handling is set to IN_PROGRESS|\n| CUSTOMERMESSAGE_COMPLETE| Executed when handling is set to COMPLETE|","enum":["PUSHMESSAGE_ON_CREATE","CUSTOMERMESSAGE_IN_PROGRESS","CUSTOMERMESSAGE_COMPLETE"],"title":"HandlingTriggerENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}":{"get":{"description":"Get handling details","operationId":"get-tenants-handlings-details","responses":{"200":{"$ref":"#/components/responses/HandlingResponse"}},"summary":"Get handling details","tags":["Handling"]}}}}
```

## Update handling details

> Update handling details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"HandlingUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingUpdateRequestSchema"}}},"description":"Request for updating an orderhandling"}},"schemas":{"HandlingUpdateRequestSchema":{"description":"Request for creating or updating an orderhandling","title":"HandlingUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"description":{"type":"string"},"name":{"maxLength":20,"type":"string"},"triggers":{"type":"array","items":{"$ref":"#/components/schemas/HandlingTriggerSchema"}}},"required":["active","description","name","triggers"]},"HandlingTriggerSchema":{"properties":{"active":{"type":"boolean"},"trigger":{"$ref":"#/components/schemas/HandlingTriggerENUM"}},"required":["trigger","active"],"title":"HandlingTriggerSchema","type":"object"},"HandlingTriggerENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| PUSHMESSAGE_ON_CREATE| Executed when order is assigned to a handling|\n| CUSTOMERMESSAGE_IN_PROGRESS| Executed when handling is set to IN_PROGRESS|\n| CUSTOMERMESSAGE_COMPLETE| Executed when handling is set to COMPLETE|","enum":["PUSHMESSAGE_ON_CREATE","CUSTOMERMESSAGE_IN_PROGRESS","CUSTOMERMESSAGE_COMPLETE"],"title":"HandlingTriggerENUM","type":"string"},"HandlingResponseSchema":{"properties":{"active":{"type":"boolean"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"description":{"type":"string"},"handlingUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"name":{"maxLength":20,"type":"string"},"triggers":{"items":{"$ref":"#/components/schemas/HandlingTriggerSchema"},"type":"array"}},"required":["handlingUid","active","description","name","triggers","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"title":"HandlingResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"HandlingResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}":{"put":{"description":"Update handling details","operationId":"put-tenants-handlings-details","requestBody":{"$ref":"#/components/requestBodies/HandlingUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/HandlingResponse"}},"summary":"Update handling details","tags":["Handling"]}}}}
```

## Delete an handling

> Delete an handling

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}":{"delete":{"description":"Delete an handling","operationId":"delete-tenants-handlings-details","responses":{"204":{"description":"No Content"}},"summary":"Delete an handling","tags":["Handling"]}}}}
```

## List Handling actions

> List Handling actions

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"handlingActionStoreUidQuery":{"description":"Reference to a store uid.","in":"query","name":"handlingActionStoreUid","required":false,"schema":{"$ref":"#/components/schemas/UID"}}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"HandlingActionResponseSchema":{"allOf":[{"$ref":"#/components/schemas/HandlingActionUpdateRequestSchema"},{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"handlingActionUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["createdAt","createdBy","handlingActionUid","lastModifiedAt","lastModifiedBy","storeUid"]}],"title":"HandlingActionResponseSchema"},"HandlingActionUpdateRequestSchema":{"title":"HandlingActionUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"allowComment":{"type":"boolean"},"name":{"type":"string","maxLength":20},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["active","allowComment","name"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"HandlingActionListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/HandlingActionResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}/actions":{"get":{"description":"List Handling actions","operationId":"get-tenants-handlings-actions","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/handlingActionStoreUidQuery"}],"responses":{"200":{"$ref":"#/components/responses/HandlingActionListResponse"}},"summary":"List Handling actions","tags":["Handling"]}}}}
```

## Create new handling action

> Create new handling action

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"HandlingActionCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingActionCreateRequestSchema"}}}}},"schemas":{"HandlingActionCreateRequestSchema":{"properties":{"handlingActionUid":{"$ref":"#/components/schemas/UID"},"active":{"type":"boolean"},"allowComment":{"type":"boolean"},"name":{"type":"string","maxLength":20},"storeUid":{"$ref":"#/components/schemas/UID"}},"required":["active","allowComment","name"],"title":"HandlingActionCreateRequestSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"HandlingActionResponseSchema":{"allOf":[{"$ref":"#/components/schemas/HandlingActionUpdateRequestSchema"},{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"handlingActionUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["createdAt","createdBy","handlingActionUid","lastModifiedAt","lastModifiedBy","storeUid"]}],"title":"HandlingActionResponseSchema"},"HandlingActionUpdateRequestSchema":{"title":"HandlingActionUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"allowComment":{"type":"boolean"},"name":{"type":"string","maxLength":20},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["active","allowComment","name"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}},"responses":{"HandlingActionResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingActionResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}/actions":{"post":{"description":"Create new handling action","operationId":"post-tenants-handlings-actions","requestBody":{"$ref":"#/components/requestBodies/HandlingActionCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/HandlingActionResponse"}},"summary":"Create new handling action","tags":["Handling"]}}}}
```

## Get handling action details

> Get handling action details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"HandlingActionResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingActionResponseSchema"}}},"description":"Example response"}},"schemas":{"HandlingActionResponseSchema":{"allOf":[{"$ref":"#/components/schemas/HandlingActionUpdateRequestSchema"},{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"handlingActionUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["createdAt","createdBy","handlingActionUid","lastModifiedAt","lastModifiedBy","storeUid"]}],"title":"HandlingActionResponseSchema"},"HandlingActionUpdateRequestSchema":{"title":"HandlingActionUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"allowComment":{"type":"boolean"},"name":{"type":"string","maxLength":20},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["active","allowComment","name"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}":{"get":{"description":"Get handling action details","operationId":"get-tenants-handlings-actions-details","responses":{"200":{"$ref":"#/components/responses/HandlingActionResponse"}},"summary":"Get handling action details","tags":["Handling"]}}}}
```

## Update a handling action

> Update a handling action\
> \
> Required permission: TENANT.ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"HandlingActionUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingActionUpdateRequestSchema"}}}}},"schemas":{"HandlingActionUpdateRequestSchema":{"title":"HandlingActionUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"allowComment":{"type":"boolean"},"name":{"type":"string","maxLength":20},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["active","allowComment","name"]},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"HandlingActionResponseSchema":{"allOf":[{"$ref":"#/components/schemas/HandlingActionUpdateRequestSchema"},{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"handlingActionUid":{"$ref":"#/components/schemas/UID"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"},"storeUid":{"$ref":"#/components/schemas/OptionalUID"}},"required":["createdAt","createdBy","handlingActionUid","lastModifiedAt","lastModifiedBy","storeUid"]}],"title":"HandlingActionResponseSchema"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"HandlingActionResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HandlingActionResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}":{"put":{"description":"Update a handling action\n\nRequired permission: TENANT.ADMIN","operationId":"put-tenants-handlings-actions-details","requestBody":{"$ref":"#/components/requestBodies/HandlingActionUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/HandlingActionResponse"}},"summary":"Update a handling action","tags":["Handling"]}}}}
```

## Delete a handling action

> Delete a handling action

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Handling","description":"Handling"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/handlings/{handlingUid}/actions/{handlingActionUid}":{"delete":{"description":"Delete a handling action","operationId":"delete-tenants-handlings-actions-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a handling action","tags":["Handling"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/handling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
